package com.platform.service;

import java.util.List;

import com.platform.entities.DataInfoEntity;
import com.platform.entities.DataInfoEntityMoveTmp;
import com.platform.entities.FolderNode;

/** 数据迁移
 * @author chen
 *
 */
public interface IMoveDataService {
	
	/** 迁移（新增）
	 * @param a dataInfo实体
	 * @param dstPath volume下的某个folder路径（需要补齐路径，eg: XXX/320198_16/1,or XXX/320122KFQ_15/1）
	 * @return
	 * @throws Exception
	 */
	public boolean moveData(List<DataInfoEntity> data, FolderNode folder) throws Exception;
	
	/** 查询所有进度
	 * @return 返回所有的实体
	 * @throws Exception
	 */
	public List<DataInfoEntityMoveTmp> findAll() throws Exception;
	
	/** 删除
	 * @return
	 * @throws Exception
	 */
	public int delete(DataInfoEntityMoveTmp dataMove) throws Exception;
	
	/** 迁移数据--更新
	 * @param data
	 * @return
	 * @throws Exception
	 */
	public int update(DataInfoEntityMoveTmp data) throws Exception;
	
	/**  迁移数据--新增
	 * @param data
	 * @return
	 * @throws Exception
	 */
	public int save(DataInfoEntityMoveTmp data) throws Exception;
	
	/**  迁移数据--批量插入
	 * @param list
	 * @return
	 * @throws Exception
	 */
	public int insertBatch(List<DataInfoEntityMoveTmp> list) throws Exception;

}
